summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author ArTourter2023-12-02 01:32:48 +0100
committer Willy Sudiarto Raharjo2023-12-02 01:54:20 +0100
commitb104d1e561d901bc1cf47bb04814923b610c88f6 (patch)
treec218590acf6773caf366da1645249bfd5587739d /gis
parentd1de0d1b533a7817474bf7db1a3357b8c212b4f5 (diff)
downloadslackbuilds-b104d1e561d901bc1cf47bb04814923b610c88f6.tar.gz
gis/librttopo: Added (RT Topology Library).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/librttopo/README11
-rw-r--r--gis/librttopo/librttopo.SlackBuild108
-rw-r--r--gis/librttopo/librttopo.info10
-rw-r--r--gis/librttopo/slack-desc19
4 files changed, 148 insertions, 0 deletions
diff --git a/gis/librttopo/README b/gis/librttopo/README
new file mode 100644
index 0000000000..87f86ced7a
--- /dev/null
+++ b/gis/librttopo/README
@@ -0,0 +1,11 @@
+The RT Topology Library exposes an API to create and manage standard
+(ISO 13249 aka SQL/MM) topologies using user-provided data stores and
+released under the GNU GPL license (version 2 or later).
+
+The code is derived from PostGIS liblwgeom library enhanced to provide
+thread-safety, have less dependencies and be independent from PostGIS
+release cycles.
+
+The RT Topology Library was funded by "Regione Toscana - SITA" (CIG:
+6445512CC1), which also funded many improvements in the originating
+liblwgeom.
diff --git a/gis/librttopo/librttopo.SlackBuild b/gis/librttopo/librttopo.SlackBuild
new file mode 100644
index 0000000000..b8cabc487b
--- /dev/null
+++ b/gis/librttopo/librttopo.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Slackware build script for librttopo
+
+# Copyright 2023 Gregory J. L. Tourte <artourter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=librttopo
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING CREDITS NEWS.md README.md TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/gis/librttopo/librttopo.info b/gis/librttopo/librttopo.info
new file mode 100644
index 0000000000..3f6a201e7e
--- /dev/null
+++ b/gis/librttopo/librttopo.info
@@ -0,0 +1,10 @@
+PRGNAM="librttopo"
+VERSION="1.1.0"
+HOMEPAGE="https://git.osgeo.org/gitea/rttopo/librttopo/"
+DOWNLOAD="https://git.osgeo.org/gitea/rttopo/librttopo/archive/librttopo-1.1.0.tar.gz"
+MD5SUM="0952b78943047ca69a9e6cbef6146869"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="geos"
+MAINTAINER="ArTourter"
+EMAIL="artourter@gmail.com"
diff --git a/gis/librttopo/slack-desc b/gis/librttopo/slack-desc
new file mode 100644
index 0000000000..2db6351e2b
--- /dev/null
+++ b/gis/librttopo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+librttopo: librttopo (RT Topology Library)
+librttopo:
+librttopo: The RT Topology Library exposes an API to create and manage standard
+librttopo: (ISO 13249 aka SQL/MM) topologies using user-provided data stores.
+librttopo: The code is derived from PostGIS liblwgeom library enhanced to provide
+librttopo: thread-safety, have less dependencies and be independent from PostGIS
+librttopo: release cycles.
+librttopo: The RT Topology Library was funded by "Regione Toscana - SITA"
+librttopo: (CIG: 6445512CC1), which also funded many improvements in the
+librttopo: originating liblwgeom.
+librttopo: